Subject: Unable to mount IDE ATAPI CDROM

From: Shankar Chakkere <[email-masked]>
Date: Wed, 07 Aug 96 08:30:00 EDT

Hi,
I installed Debian GNU/Linux base system using floppies ( 0.93R6 kernel 
1.2.13)
My problem is, I have a IDE ATAPI  Mitsumi 4X CD ROM connected to first IDE 
as
secondary device which is recognized at boot time

hdb: FX001DE, ATAPI, CDROM

I also notice that it loads 'isofs' filesystem .

When I try to mount it by

'mount -t  iso9660 /dev/hdb /cdrom'

the system hangs ! so is with the following commands

1. mount -t iso9660 -r /dev/hdb /cdrom
2. mount -o ro /dev/hdb /cdrom
3. mount /dev/hdb /cdrom
4. mount -t  iso9660 /dev/hdb /cdrom -o,ro,block=2048

The only way out is to hard reset (switch off/on) the system.

I had Slackware running (Kernel 1.2.13) which recognizes my CD ROM.

My system configuration
 -----------------------
Pentium -75MHz
RAM     -8Mb
First IDE: 1.2 Gb Hard disk , IDE ATAPI mitsumi CD ROM.
Second IDE: 1.6 Gb Hard disk , blank.
PS/2 - Bus Mouse.
SVGA - Cirrus chip set.

Thanks in advance for any advice.

Sincerely,
Shankar